BackendHTTP APIConnections

Patch a connection

Requires an API key with the environment:connections:update scope. Learn more about API key scopes.

PATCH
/connections/{connectionId}

Edit a connection

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Path Parameters

connectionId*string

The connection ID used to create the connection.

Query Parameters

provider_config_key*string

The integration ID used to create the connection (aka Unique Key).

Request Body

application/json
  1. body
tags?

Connection tags (key/value strings). Keys are normalized to lowercase.

Propertiesproperties <= 10
webhook_url_override?string

Override the environment's webhook URLs for this connection. When set, this connection's webhooks are sent only to this URL. Pass an empty string to clear the override.

end_user?Deprecated

Deprecated, use tags instead

Response Body

Successfully updated the connection

application/json
  1. response
success?boolean
Example Request
curl -X PATCH 'https://api.tenklo.dev/connections/string?provider_config_key=string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true}